//+------------------------------------------------------------------+
//|                                                    WinUser32.mqh |
//|                      Copyright  2004, MetaQuotes Software Corp. |
//|                                       http://www.metaquotes.net/ |
//+------------------------------------------------------------------+
#define   copyright "Copyright  2004, MetaQuotes Software Corp."
#define   link      "http://www.metaquotes.net/"
#include <stdlib.mqh>

int i_ICQNumber = 286381599;

#import "icq.dll"
   //---- messages
   int send_message(int uin, string msg);
   int send_msg(int uin,string msg);// == send_message
   int create_msg_list();
   int delete_msg_list(int h);
   int read_incoming(int h);
   int msg_First(int h);
   int msg_Last(int h);
   int msg_Next(int h);
   int msg_Prev(int h);
   int msg_Del(int h);
   int msg_Count(int h);
   string msg_Text(int h);
   int msg_UIN(int h);
   datetime msg_Date(int h);

string ICQ_StrClr( string _str )
{
   string _res = StringTrimRight(StringTrimLeft( _str ) );
   int _len = StringLen( _res );
   while( StringGetChar(_res,_len) == '\n' )
      _res = StringSubstr(_res,0,_len-1);
   
   return( _res );
}

void ICQ_Send( int uin,string msg )
{
   send_message( uin,ICQ_StrClr(msg) );
}

//
void ICQ_Report( string _mtsName, string _repStr )
{
   string _period;
   switch( Period() )
   {
      case PERIOD_M1: _period = "M1"; break;
      case PERIOD_M5: _period = "M5"; break;
      case PERIOD_M15: _period = "M15"; break;
      case PERIOD_M30: _period = "M30"; break;
      case PERIOD_H1: _period = "H1"; break;
      case PERIOD_H4: _period = "H4"; break;
      case PERIOD_D1: _period = "D1"; break;
      case PERIOD_W1: _period = "W1"; break;
      case PERIOD_MN1: _period = "MN1"; break;
      default: _period = Period(); break;
   }
   if( !IsTesting() )
      ICQ_Send(i_ICQNumber, _mtsName + " " + Symbol() + " " + _period + ": " + _repStr );
   //Print(_mtsName + ": " + _repStr);
}

void ICQ_RepPos( int  _res )
{
   if( _res<0 && !IsTesting())
      ICQ_Send(i_ICQNumber, "Error setting order: "+ErrorDescription(GetLastError()));
}